com.google.gwt.dom.client

## Class FormElement

- java.lang.Object
- - com.google.gwt.core.client.JavaScriptObject
  - - com.google.gwt.dom.client.Node
    - - com.google.gwt.dom.client.Element
      - - com.google.gwt.dom.client.FormElement

-     @TagName(value="form")
      public class FormElement
      extends Element

  The FORM element encompasses behavior similar to a collection and an element. It provides direct access to the contained form controls as well as the attributes of the form element.
  See Also:
    W3C HTML Specification

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TAG`

    - ### Fields inherited from class com.google.gwt.dom.client.Element

      `DRAGGABLE_AUTO, DRAGGABLE_FALSE, DRAGGABLE_TRUE`

    - ### Fields inherited from class com.google.gwt.dom.client.Node

      `DOCUMENT_NODE, ELEMENT_NODE, TEXT_NODE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `FormElement()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FormElement` | `as(Element elem)` Assert that the given `Element` is compatible with this class and automatically typecast it.
    `java.lang.String` | `getAcceptCharset()` List of character sets supported by the server.
    `java.lang.String` | `getAction()` Server-side form handler.
    `NodeCollection<Element>` | `getElements()` Returns a collection of all form control elements in the form.
    `java.lang.String` | `getEnctype()` The content type of the submitted form, generally "application/x-www-form-urlencoded".
    `java.lang.String` | `getMethod()` HTTP method [IETF RFC 2616] used to submit form.
    `java.lang.String` | `getName()` Names the form.
    `java.lang.String` | `getTarget()` Frame to render the resource in.
    `static boolean` | `is(Element elem)` Determine whether the given `Element` can be cast to this class.
    `static boolean` | `is(JavaScriptObject o)` Determines whether the given `JavaScriptObject` can be cast to this class.
    `static boolean` | `is(Node node)` Determine whether the given `Node` can be cast to this class.
    `void` | `reset()` Restores a form element's default values.
    `void` | `setAcceptCharset(java.lang.String acceptCharset)` List of character sets supported by the server.
    `void` | `setAction(SafeUri action)` Server-side form handler.
    `void` | `setAction(java.lang.String action)` Server-side form handler.
    `void` | `setEnctype(java.lang.String enctype)` The content type of the submitted form, generally "application/x-www-form-urlencoded".
    `void` | `setMethod(java.lang.String method)` HTTP method [IETF RFC 2616] used to submit form.
    `void` | `setName(java.lang.String name)` Names the form.
    `void` | `setTarget(java.lang.String target)` Frame to render the resource in.
    `void` | `submit()` Submits the form.

    - ### Methods inherited from class com.google.gwt.dom.client.Element

      `addClassName, as, as, blur, dispatchEvent, focus, getAbsoluteBottom, getAbsoluteLeft, getAbsoluteRight, getAbsoluteTop, getAttribute, getClassName, getClientHeight, getClientWidth, getDir, getDraggable, getElementsByTagName, getFirstChildElement, getId, getInnerHTML, getInnerText, getLang, getNextSiblingElement, getOffsetHeight, getOffsetLeft, getOffsetParent, getOffsetTop, getOffsetWidth, getPreviousSiblingElement, getPropertyBoolean, getPropertyDouble, getPropertyInt, getPropertyJSO, getPropertyObject, getPropertyString, getScrollHeight, getScrollLeft, getScrollTop, getScrollWidth, getString, getStyle, getTabIndex, getTagName, getTitle, hasAttribute, hasClassName, hasTagName, indexOfName, removeAttribute, removeClassName, replaceClassName, scrollIntoView, setAttribute, setClassName, setDir, setDraggable, setId, setInnerHTML, setInnerSafeHtml, setInnerText, setLang, setPropertyBoolean, setPropertyDouble, setPropertyInt, setPropertyJSO, setPropertyObject, setPropertyString, setScrollLeft, setScrollTop, setTabIndex, setTitle, toggleClassName`

    - ### Methods inherited from class com.google.gwt.dom.client.Node

      `appendChild, cloneNode, getChild, getChildCount, getChildNodes, getFirstChild, getLastChild, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentElement, getParentNode, getPreviousSibling, hasChildNodes, hasParentElement, insertAfter, insertBefore, insertFirst, isOrHasChild, removeAllChildren, removeChild, removeFromParent, replaceChild, setNodeValue`

    - ### Methods inherited from class com.google.gwt.core.client.JavaScriptObject

      `cast, createArray, createArray, createFunction, createObject, equals, hashCode, toSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TAG

          public static final java.lang.String TAG

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FormElement

          protected FormElement()

  - ### Method Detail

    - #### as

          public static FormElement as(Element elem)

      Assert that the given `Element` is compatible with this class and automatically typecast it.

    - #### is

          public static boolean is(JavaScriptObject o)

      Determines whether the given `JavaScriptObject` can be cast to this class. A `null` object will cause this method to return `false`.

    - #### is

          public static boolean is(Node node)

      Determine whether the given `Node` can be cast to this class. A `null` node will cause this method to return `false`.

    - #### is

          public static boolean is(Element elem)

      Determine whether the given `Element` can be cast to this class. A `null` node will cause this method to return `false`.

    - #### getAcceptCharset

          public final java.lang.String getAcceptCharset()

      List of character sets supported by the server.
      See Also:
        W3C HTML Specification

    - #### getAction

          public final java.lang.String getAction()

      Server-side form handler.
      See Also:
        W3C HTML Specification

    - #### getElements

          public final NodeCollection<Element> getElements()

      Returns a collection of all form control elements in the form.

    - #### getEnctype

          public final java.lang.String getEnctype()

      The content type of the submitted form, generally "application/x-www-form-urlencoded". Note: The onsubmit even handler is not guaranteed to be triggered when invoking this method. The behavior is inconsistent for historical reasons and authors should not rely on a particular one.
      See Also:
        W3C HTML Specification

    - #### getMethod

          public final java.lang.String getMethod()

      HTTP method [IETF RFC 2616] used to submit form.
      See Also:
        W3C HTML Specification

    - #### getName

          public final java.lang.String getName()

      Names the form.

    - #### getTarget

          public final java.lang.String getTarget()

      Frame to render the resource in.
      See Also:
        W3C HTML Specification

    - #### reset

          public final void reset()

      Restores a form element's default values. It performs the same action as a reset button.

    - #### setAcceptCharset

          public final void setAcceptCharset(java.lang.String acceptCharset)

      List of character sets supported by the server.
      See Also:
        W3C HTML Specification

    - #### setAction

          public final void setAction(SafeUri action)

      Server-side form handler.
      See Also:
        W3C HTML Specification

    - #### setAction

          public final void setAction(java.lang.String action)

      Server-side form handler.
      See Also:
        W3C HTML Specification

    - #### setEnctype

          public final void setEnctype(java.lang.String enctype)

      The content type of the submitted form, generally "application/x-www-form-urlencoded". Note: The onsubmit even handler is not guaranteed to be triggered when invoking this method. The behavior is inconsistent for historical reasons and authors should not rely on a particular one.
      See Also:
        W3C HTML Specification

    - #### setMethod

          public final void setMethod(java.lang.String method)

      HTTP method [IETF RFC 2616] used to submit form.
      See Also:
        W3C HTML Specification

    - #### setName

          public final void setName(java.lang.String name)

      Names the form.

    - #### setTarget

          public final void setTarget(java.lang.String target)

      Frame to render the resource in.
      See Also:
        W3C HTML Specification

    - #### submit

          public final void submit()

      Submits the form. It performs the same action as a submit button.